nginx 1.6.2-5 on Debian/Ubuntu Log File /var/log/nginx link following

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
7.4$0-$5k0.03

A vulnerability has been found in nginx 1.6.2-5 on Debian/Ubuntu (Web Server) and classified as critical. Affected by this vulnerability is some unknown functionality of the file /var/log/nginx of the component Log File Handler. The manipulation with an unknown input leads to a link following vulnerability. The CWE definition for the vulnerability is CWE-59. The software attempts to access a file based on the filename, but it does not properly prevent that filename from identifying a link or shortcut that resolves to an unintended resource. As an impact it is known to affect confidentiality, integrity, and availability.

The bug was discovered 10/25/2016. The weakness was shared 10/25/2016 by Dawid Golunski as [SECURITY] [DSA 3701-1] nginx security update as confirmed mailinglist post (Bugtraq). The advisory is shared at seclists.org. The vendor cooperated in the coordination of the public release. This vulnerability is known as CVE-2016-1247 since 12/27/2015. The exploitation appears to be easy. An attack has to be approached locally. A single authentication is required for exploitation. Technical details and also a public exploit are known.

It is declared as proof-of-concept. It is possible to download the exploit at exploit-db.com. The vulnerability scanner Nessus provides a plugin with the ID 94260 (Debian DSA-3701-1 : nginx - security update), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Debian Local Security Checks and running in the context local.

Upgrading to version 1.6.2-5+deb8u3 eliminates this vulnerability. A possible mitigation has been published immediately after the disclosure of the vulnerability.

The vulnerability is also documented in the databases at Tenable (94260) and Exploit-DB (40768). Additional details are provided at seclists.org.

Productinfo

Type

Name

License

  • open-source

CPE 2.3info

CPE 2.2info

Video

CVSSv3info

VulDB Meta Base Score: 7.8
VulDB Meta Temp Score: 7.4

VulDB Base Score: 7.8
VulDB Temp Score: 7.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 7.8
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Link following
CWE: CWE-59
ATT&CK: Unknown

Local: Yes
Remote: No

Availability: 🔍
Access: Public
Status: Proof-of-Concept
Download: 🔍

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 94260
Nessus Name: Debian DSA-3701-1 : nginx - security update
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 703701
OpenVAS Name: Debian Security Advisory DSA 3701-1 (nginx - security update)
OpenVAS File: 🔍
OpenVAS Family: 🔍

Exploit-DB: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍

Upgrade: nginx 1.6.2-5+deb8u3

Timelineinfo

12/27/2015 🔍
10/25/2016 +303 days 🔍
10/25/2016 +0 days 🔍
10/25/2016 +0 days 🔍
10/25/2016 +0 days 🔍
10/26/2016 +1 days 🔍
10/26/2016 +0 days 🔍
11/29/2016 +34 days 🔍
09/28/2022 +2129 days 🔍

Sourcesinfo

Advisory: [SECURITY] [DSA 3701-1] nginx security update
Researcher: Dawid Golunski
Status: Confirmed
Coordinated: 🔍

CVE: CVE-2016-1247 (🔍)
OVAL: 🔍

SecurityTracker: 1037104
SecurityFocus: 93903 - Nginx CVE-2016-1247 Remote Privilege Escalation Vulnerability

scip Labs: https://www.scip.ch/en/?labs.20161013
Misc.: 🔍

Entryinfo

Created: 10/26/2016 09:22 PM
Updated: 09/28/2022 02:36 PM
Changes: 10/26/2016 09:22 PM (81), 07/17/2019 06:19 PM (7), 09/28/2022 02:36 PM (4)
Complete: 🔍

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you want to use VulDB in your project?

Use the official API to access entries easily!